Loading...
Searching...
No Matches
juce::midi_ci::ProfileDelegate Struct Referenceabstract

## Detailed Description

An interface with methods that can be overridden to customise how a Device implementing profiles responds to profile inquiries.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CIProfileDelegate.h

## Public Member Functions

| ProfileDelegate ()=default
virtual | ~ProfileDelegate ()=default
| ProfileDelegate (const ProfileDelegate &)=default
| ProfileDelegate (ProfileDelegate &&)=default
ProfileDelegate & | operator= (const ProfileDelegate &)=default
ProfileDelegate & | operator= (ProfileDelegate &&)=default
virtual void | profileEnablementRequested (MUID x, ProfileAtAddress profileAtAddress, int numChannels, bool enabled)=0
| Called when a remote device requests that a profile is enabled or disabled.

## Constructors and Destructors

## ProfileDelegate() [1/3]

juce::midi_ci::ProfileDelegate::ProfileDelegate | ( |  | ) |

default

Referenced by operator=(), operator=(), ProfileDelegate(), and ProfileDelegate().

## ~ProfileDelegate()

virtual juce::midi_ci::ProfileDelegate::~ProfileDelegate | ( |  | ) |

virtual default

## ProfileDelegate() [2/3]

juce::midi_ci::ProfileDelegate::ProfileDelegate | ( | const ProfileDelegate & |  | ) |

default

References ProfileDelegate().

## ProfileDelegate() [3/3]

juce::midi_ci::ProfileDelegate::ProfileDelegate | ( | ProfileDelegate && |  | ) |

default

References ProfileDelegate().

## Member Functions

## operator=() [1/2]

ProfileDelegate & juce::midi_ci::ProfileDelegate::operator= | ( | const ProfileDelegate & |  | ) |

default

References ProfileDelegate().

## operator=() [2/2]

ProfileDelegate & juce::midi_ci::ProfileDelegate::operator= | ( | ProfileDelegate && |  | ) |

default

References ProfileDelegate().

## profileEnablementRequested()

virtual void juce::midi_ci::ProfileDelegate::profileEnablementRequested | ( | MUID | x,
|  | ProfileAtAddress | profileAtAddress,
|  | int | numChannels,
|  | bool | enabled )

pure virtual

Called when a remote device requests that a profile is enabled or disabled.

Old MIDI-CI implementations on remote devices may request that a profile is enabled with zero channels active - in this situation, it is recommended that you use ProfileHost::enableProfile to enable the default number of channels for that profile.

Additionally, profiles for entire groups or function blocks may be enabled with zero active channels. In this case, the profile should be enabled on the entire group or function block.

References x.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited